Name: gdb
Version: 5.3
Release: alt2

Summary: A GNU source-level debugger for C, C++ and other languages
License: GPL
Group: Development/Debuggers
Url: http://sources.redhat.com/%name/

Source: ftp://sources.redhat.com/pub/%name/%name-%version.tar.bz2
Source1: %name.menu

Patch1: gdb-5.3-mdk-sim-makefile.patch
Patch2: gdb-5.3-mdk-alt-with_system_readline.patch
Patch3: gdb-5.3-mdk-asm-backtrace.patch
Patch4: gdb-5.3-mdk-cfi-rerun.patch
Patch5: gdb-5.3-mdk-empty--args.patch
Patch6: gdb-5.3-mdk-external-debuginfo.patch
Patch7: gdb-5.3-mdk-ignore-NOBITS-.eh_frame-debuginfo.patch
Patch8: gdb-5.3-mdk-stabfix.patch

Patch11: gdb-5.3-alt-gdb-boolean.patch
Patch12: gdb-5.3-alt-tinfo.patch
Patch13: gdb-5.3-alt-with_system_libs.patch

Requires(post,preun): %install_info

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4, binutils >= 2.13.90.0.4

# Automatically added by buildreq on Tue Oct 08 2002
BuildRequires: flex libbfd-devel libelf-devel libiberty-devel libncurses-devel libreadline-devel libtinfo-devel

%description
GDB, the GNU debugger, allows you to debug programs written in C, C++,
and other languages, by executing them in a controlled fashion and
printing their data.

%package -n mmalloc
Summary: Modified version of GNU malloc
Group: Development/C
Requires(post,preun): %install_info

%description -n mmalloc
This is a heavily modified version of GNU `malloc'.  It uses `mmap'
as the basic mechanism for obtaining memory from the system, rather
than `sbrk'.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%patch11 -p1
%patch12 -p1
%patch13 -p1

find -type f -name \*.orig -print -delete

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
for f in */configure.in; do
	(cd "${f%/*}" && [ configure.in -nt configure ] && autoconf)
done
for f in */Makefile.am; do
	(cd "${f%/*}" && [ Makefile.am -nt Makefile.in ] && automake)
done

%__rm -rf dejagnu tcl expect gdb/gdbserver

pushd include
	for f in *.h; do
		[ ! -f /usr/include/"$f" ] || %__ln_s -nfv "/usr/include/$f" .
	done
popd

cat >%name/version.in <<__EOF__
%distribution (%version-%release)
__EOF__

%define _configure_target --host=%_target_platform --build=%_target_platform
export ac_cv_have_x=${ac_cv_have_x='have_x=yes ac_x_includes=%_x11includedir ac_x_libraries=%_x11libdir'}
%configure --with-separate-debug-dir=%_libdir/debug
%make_build
	
make info

%install
%makeinstall INSTALL_DATA='$(INSTALL) -D -m644'

# The above is broken, do this for now:
%__mkdir_p $RPM_BUILD_ROOT%_infodir
%__install -p -m644 `find -type f -name '*.info*'` $RPM_BUILD_ROOT%_infodir/
%__rm -f $RPM_BUILD_ROOT%_infodir/dir{,.info*}

# These are part of texinfo.
%__rm -f $RPM_BUILD_ROOT%_bindir/{texindex,texi2dvi,makeinfo,install-info,info}

# These are part of readline/binutils
%__rm -f $RPM_BUILD_ROOT%_infodir/{bfd,configure,standard,readline,rluserman,history,info,texinfo}*
%__rm -rf $RPM_BUILD_ROOT%_includedir
%__rm -rf $RPM_BUILD_ROOT%_libdir/lib{bfd*,opcodes*}

%__install -pD -m644 mmalloc/mmalloc.h $RPM_BUILD_ROOT%_includedir/mmalloc.h
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%install_info {gdb,gdbint,stabs}.info
%update_menus

%preun
%uninstall_info {gdb,gdbint,stabs}.info

%postun
%clean_menus

%post -n mmalloc
%install_info mmalloc.info

%preun -n mmalloc
%uninstall_info mmalloc.info

%files
%_bindir/*
%_mandir/man?/*
%_infodir/[a-ln-z]*.info*
%_menudir/*
%doc %name/{CONTRIBUTE,MAINTAINERS,NEWS,README,TODO}

%files -n mmalloc
%_libdir/libmmalloc.a
%_includedir/mmalloc.h
%_infodir/mmalloc.info*

%changelog
* Sun Aug 10 2003 Dmitry V. Levin <ldv@altlinux.org> 5.3-alt2
- Rebuilt with libbfd-2.14.90.0.5.

* Fri Jun 20 2003 Dmitry V. Levin <ldv@altlinux.org> 5.3-alt1
- Updated to 5.3, rediffed patches.
- Merged with gdb-5.3-23mdk (8 patches added).

* Tue Oct 08 2002 Dmitry V. Levin <ldv@altlinux.org> 5.2.1-alt2
- Avoid build dependencies on XFree86-* (#0001376).
- Fixed build with new rpm-build.

* Mon Aug 26 2002 Dmitry V. Levin <ldv@altlinux.org> 5.2.1-alt1
- 5.2.1
- Patched to link with libtinfo.
- Applied "rh-misc" patch from rh gdb-5.2.1-3.

* Mon Jun 17 2002 Dmitry V. Levin <ldv@altlinux.org> 5.2-alt1
- 5.2
- Built with system libreadline, libbfd, libopcodes and libiberty.

* Thu Feb 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 5.1.1-alt1
- Added menu entry.
- Moved mmaloc to separate subpackage.
- Usual ALT adaptions.

* Thu Jan 24 2002 Trond Eivind Glomsrd <teg@redhat.com> 5.1.1-1
- 5.1.1
- add URL

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Dec 10 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.1-2
- Fix some thread+fpu problems

* Mon Nov 26 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.1-1
- 5.1

* Mon Nov 19 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.0.94-0.71
- 5.0.94. Almost there....

* Mon Nov 12 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.0.93-2
- Add patch from jakub@redhat.com to improve handling of DWARF

* Mon Nov 12 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.0.93-1
- 5.0.93
- handle missing info pages in post/pre scripts

* Wed Oct 31 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.0.92-1
- 5.0.92

* Fri Oct 26 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.0.91rh-1
- New snapshot
- Use the 5.0.91 versioning from the snapshot

* Wed Oct 17 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.0rh-17
- New snapshot

* Thu Sep 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New snapshot

* Wed Sep 12 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.0rh-16
- New snapshot

* Mon Aug 13 2001 Trond Eivind Glomsrd <teg@redhat.com> 5.0rh-15
- Don't buildrequire compat-glibc (#51690)

* Thu Aug  9 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New snapshot, from the stable branch eventually leading to gdb 5.1

* Mon Jul 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Add texinfo to BuildRequires

* Mon Jun 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New snapshot

* Fri Jun 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New snapshot
- Add ncurses-devel to buildprereq
- Remove perl from buildprereq, as gdb changed the way
  version strings are generated

* Thu Jun 14 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New snapshot

* Wed May 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New snapshot - this had thread fixes for curing #39070
- New way of specifying version

* Tue May  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New tarball
- Kevin's patch is now part of gdb

* Mon Apr  9 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add patch from kevinb@redhat.com to fix floating point + thread
  problem (#24310)
- remove old workarounds
- new snapshot

* Thu Apr  5 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New snapshot

* Sat Mar 17 2001 Bill Nottingham <notting@redhat.com>
- on ia64, there are no old headers :)

* Fri Mar 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- build with old headers, new compiler

* Wed Mar 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- new snapshot

* Mon Feb 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- new snapshot which should fix some more IA64 problems (#29151)
- remove IA64 patch, it's now integrated

* Wed Feb 21 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add IA64 and Alpha patches from Kevin Buettner <kevinb@redhat.com>
- use perl instead of patch for fixing the version string

* Tue Feb 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't use kgcc anymore
- mark it as our own version
- new snapshot

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Link with ncurses 5.x even though we're using kgcc.
  No need to drag in requirements on ncurses4 (Bug #24445)

* Fri Jan 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- new snapshot

* Thu Dec 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- new snapshot

* Mon Dec 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- new snapshot
- new alpha patch - it now compiles everywhere. Finally.

* Fri Dec 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- new snapshot

* Mon Nov 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- new CVS snapshot
- disable the patches
- don't use %%configure, as it confuses the autoconf script
- enable SPARC, disable Alpha

* Wed Aug 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added patch from GDB team for C++ symbol handling

* Mon Jul 25 2000 Trond Eivind Glomsrd <teg@redhat.com>
- upgrade to CVS snapshot
- excludearch SPARC, build on IA61

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Fri Jun 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%configure, %%makeinstall, %%{_infodir}, %%{_mandir},
  and %%{_tmppath}
- the install scripts  for info are broken(they don't care about
  you specify in the installstep), work around that.
- don't build for IA64

* Mon May 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
- upgraded to 5.0 - dump all patches. Reapply later if needed.
- added the NEWS file to the %%doc files
- don't delete files which doesn't get installed (readline, texinfo)
- let build system handle stripping and gzipping
- don't delete libmmalloc
- apply patch from jakub@redhat.com to make it build on SPARC

* Fri Apr 28 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new ncurses

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Tue Feb  8 2000 Jakub Jelinek <jakub@redhat.com>
- fix core file handling on i386 with glibc 2.1.3 headers

* Fri Jan 14 2000 Jakub Jelinek <jakub@redhat.com>
- fix reading registers from core on sparc.
- hack around build problems on i386 with glibc 2.1.3 headers

* Thu Oct 7 1999 Jim Kingdon
- List files to install in /usr/info specifically (so we don't pick up
things like info.info from GDB snapshots).

* Thu Oct 7 1999 Jim Kingdon
- Update GDB to 19991004 snapshot.  This eliminates the need for the
sigtramp, sparc, xref, and threads patches.  Update sparcmin patch.

* Mon Aug 23 1999 Jim Kingdon
- Omit readline manpage.

* Tue Aug 7 1999 Jim Kingdon
- Remove H.J. Lu's patches (they had been commented out).
- Add sigtramp patch (from gdb.cygnus.com) and threads patch (adapted
from code fusion CD-ROM).

* Wed Apr 14 1999 Jeff Johnson <jbj@redhat.com>
- merge H.J. Lu's patches into 4.18.

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- updated the kern22 patch with stuff from davem

* Thu Apr  1 1999 Jeff Johnson <jbj@redhat.com>
- sparc with 2.2 kernels no longer uses sunos ptrace (davem)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- Sparc fiddles for Red Hat 6.0.
